using System.Collections.Generic;
using System.Threading.Tasks;

namespace SZUAbsolventenverein.Module.EventRegistration.Services
{
    public interface IEventRegistrationService 
    {
        Task<List<Models.Event>> GetEventRegistrationsAsync(int ModuleId);

        Task<Models.Event> GetEventRegistrationAsync(int EventRegistrationId, int ModuleId);

        Task<Models.Event> AddEventRegistrationAsync(Models.Event EventRegistration);

        Task<Models.Event> UpdateEventRegistrationAsync(Models.Event EventRegistration);

        Task DeleteEventRegistrationAsync(int EventRegistrationId, int ModuleId);
    }
}
